Export (0) Print
Expand All
23 out of 34 rated this helpful - Rate this topic

System Requirements for Version 3.5

.NET Framework 3.5

Updated: December 2010

To ensure adequate performance, the .NET Framework version 3.5 has the following minimum and recommended system requirements for client and server applications.

NoteNote:

For the most up-to-date information on system requirements and supported platforms, see the Readme.htm file for the .NET Framework. If you have installed the .NET Framework as part of Visual Studio 2008, the Readme.htm file is located in the Program Files\Microsoft Visual Studio 9.0\SDK\v3.5 subdirectory.

The .NET Framework can be installed on the following platforms and operating systems. For information about the .NET Compact Framework support for mobile platforms, see Devices and Platforms Supported by the .NET Compact Framework.

Scenario

Target platforms

32-bit based systems

Windows XP Professional with SP2

Windows XP Home Edition with SP2

Windows XP Media Center Edition 2002 with SP2

Windows XP Media Center Edition 2004 with SP2

Windows XP Media Center Edition 2005

Windows XP Professional Reduced Media Edition with SP2

Windows XP Home Reduced Media Edition with SP2

Windows XP Tablet PC Edition with SP2

Windows XP Starter Edition

Windows Server 2003 Standard Edition with SP1

Windows Server 2003 Enterprise Edition with SP1

Windows Server 2003 Datacenter Edition with SP1

Windows Server 2003 Web Edition with SP1

Windows Small Business Server 2003 Standard Edition with SP1

Windows Small Business Server 2003 Premium Edition with SP1

Windows Server 2003 R2 Standard Edition

Windows Server 2003 R2 Enterprise Edition

Windows Server 2003 R2 Datacenter Edition

Windows Vista Starter

Windows Vista Home Basic

Windows Vista Home Premium

Windows Vista Ultimate

Windows Vista Business

Windows Server 2008 Standard 32-Bit

Windows Server 2008 Enterprise 32-Bit

Windows Server 2008 Datacenter 32-Bit

Windows 7 (all 32-bit editions)

Windows 8

x64-bit based systems

Windows XP Professional x64 Edition

Windows Server 2003 Standard x64 Edition

Windows Server 2003 Enterprise x64 Edition

Windows Server 2003 Datacenter x64 Edition

Windows Server 2003 R2 Standard x64 Edition

Windows Server 2003 R2 Enterprise x64 Edition

Windows Server 2003 R2 Datacenter x64 Edition

Windows Vista Home Premium x64 Edition

Windows Vista Ultimate x64 Edition

Windows Vista Business x64 Edition

Windows Server 2008 Standard x64 Edition

Windows Server 2008 Enterprise x64 Edition

Windows Server 2008 Datacenter x64 Edition

Windows 7 (all 64-bit editions)

Windows 8

NoteNote:

   The .NET Framework supports both WOW64 (32-bit processing on a 64-bit machine) as well as native 64-bit processing.

Itanium-based systems

Windows Server 2008 Enterprise for Itanium-based Systems

.NET Compact Framework

Windows Mobile for Pocket PC

Windows Mobile for Smartphone

Windows CE

NoteNote:

For information about the .NET Compact Framework support for mobile platforms, see Devices and Platforms Supported by the .NET Compact Framework.

The .NET Framework cannot be installed on the following operating systems.

Scenario

Operating system

All platforms

Windows 95

Windows 98

Windows Millennium Edition

Windows NT Server

Windows NT Workstation

Windows NT Server Enterprise Edition

Windows 2000 Professional

Windows 2000 Server

Windows 2000 Advanced Server

Windows 2000 Datacenter Server

Windows Server 2003, Enterprise Edition for Itanium-based Systems

Windows Server 2003, Datacenter Edition for Itanium-based Systems

Minimum Software

  • Microsoft Internet Explorer 6.0 with Service Pack 1.

  • Microsoft Data Access Components (MDAC) 2.8 for data access applications.

  • Windows Installer version 3.1.

Processors

Scenario

Minimum

Recommended

.NET Framework

400 megahertz (MHz)

1 gigahertz (GHz)

RAM

Scenario

Minimum

Recommended

.NET Framework

96 megabytes (MB)

256 megabytes (MB)

Hard Disk Space

Scenario

Minimum

32-bit

280 MB

64-bit

610 MB

It is highly recommended for all platforms that you upgrade to the latest Windows Service Pack and critical updates available from http://www.windowsupdate.com to ensure the best compatibility and security. Installation of the latest Windows Service Pack may be required on some operating systems.

Date

History

Reason

December 2010

Corrected the version of Windows Installer required for the .NET Framework 3.5.

Content bug fix.

July 2010

Noted that installation of the latest service pack may be required on some operating systems.

Customer feedback.

Did you find this helpful?
(1500 characters remaining)
Thank you for your feedback

Community Additions

ADD
Show:
© 2014 Microsoft. All rights reserved.